<div class="search-container">
	<div class="search">
		<textarea spellcheck="false" maxlength="80" placeholder="Фильтр"></textarea>
		<div class="cross fas fa-times" style="display: none;"></div>
	</div>
</div>
<script>
	var timeout;
	function searchRequest(query) {
		query = query.toLowerCase()
		$('.list-view').children('div').each((index, element) => {
			var text = $(element).text().toLowerCase();
			if (!text.includes(query)) {
				$(element).css('display', 'none');
			} else {
				$(element).css('display', 'flex');
			}
		});
	}
	$(".search > textarea").on('change paste input', function(){
		clearTimeout(timeout);
		var val = $(this).val();
		timeout = setTimeout(function(){searchRequest(val)}, 40);
	});
	$('.search > textarea').keypress(function(event) {
		if (event.keyCode === 10 || event.keyCode === 13) {
			event.preventDefault();
		}
	});
	$('.search > textarea').keyup(function(event) {
		var val = $(this).val();
		if (val != '') {
			$(".search > .cross").css('display', 'block');
			$(".search > textarea").css('border-top-right-radius', '0px');
			$(".search > textarea").css('border-bottom-right-radius', '0px');
		} else {
			$(".search > .cross").css('display', 'none');
			$(".search > textarea").css('border-top-right-radius', '4px');
			$(".search > textarea").css('border-bottom-right-radius', '4px');
		}
		if (event.keyCode === 10 || event.keyCode === 13) {
			event.preventDefault();
			clearTimeout(timeout);
			searchRequest(val);
		}
	});
	$(".search > .cross").on('click', function(){
		clearTimeout(timeout);
		$(".search-container textarea").val('');
		$(this).css('display', 'none');
		searchRequest('');
	});

	if ($(".search-container textarea").val() != '') {
		$(".search > .cross").css('display', 'block');
		$(".search > textarea").css('border-top-right-radius', '0px');
		$(".search > textarea").css('border-bottom-right-radius', '0px');
	}
</script>